# Get entity screening details

GET https://api.letsdeel.com/rest/v2/screenings/aml/{entity_type}/{entity_id}

Get the latest screening for an entity.
 **Token scopes**: `screenings:read`

Reference: https://developer.deel.com/api/endpoints/screenings/get-aml-details

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /screenings/aml/{entity_type}/{entity_id}:
    get:
      operationId: get-aml-details
      summary: Get entity screening details
      description: |-
        Get the latest screening for an entity.
         **Token scopes**: `screenings:read`
      tags:
        - subpackage_screenings
      parameters:
        - name: entity_type
          in: path
          description: >-
            The type of entity to screen. Only 'profile', 'hris_profile',
            'legal_entity' are accepted.
          required: true
          schema:
            $ref: >-
              #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetParametersEntityType
        - name: entity_id
          in: path
          description: UUID v4 of the entity
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Details of the screening request for the specified entity type and
            ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/screenings_getAMLDetails_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AmlApiForWhitelabelDataRetrieval-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AmlApiForWhitelabelDataRetrieval-v2026-01-01RequestNotFoundError
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ScreeningsAmlEntityTypeEntityIdGetParametersEntityType:
      type: string
      enum:
        - profile
        - hris_profile
        - legal_entity
      title: ScreeningsAmlEntityTypeEntityIdGetParametersEntityType
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaResult:
      type: string
      enum:
        - ACCEPT
        - REJECT
        - REFERRED
        - PENDING
      description: >-
        The result of the screening. ACCEPT means the screening passed, REJECT
        means it failed, and REFERRED means it is pending further review.
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaResult
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaEntityType:
      type: string
      enum:
        - profile
        - hris_profile
        - legal_entity
      description: The type of entity being screened.
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaEntityType
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsPep:
      type: string
      enum:
        - PASS
        - FAIL
      description: The result of the PEP (Politically Exposed Person) check.
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsPep
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsSanctions:
      type: string
      enum:
        - PASS
        - FAIL
      description: The result of the sanctions check.
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsSanctions
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsAdverseMedia:
      type: string
      enum:
        - PASS
        - FAIL
      description: The result of the adverse media check.
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsAdverseMedia
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResults:
      type: object
      properties:
        pep:
          $ref: >-
            #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsPep
          description: The result of the PEP (Politically Exposed Person) check.
        sanctions:
          $ref: >-
            #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsSanctions
          description: The result of the sanctions check.
        adverse_media:
          $ref: >-
            #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResultsAdverseMedia
          description: The result of the adverse media check.
      description: Details of checks performed for this screening.
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResults
    screenings_getAMLDetails_Response_200:
      type: object
      properties:
        result:
          $ref: >-
            #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaResult
          description: >-
            The result of the screening. ACCEPT means the screening passed,
            REJECT means it failed, and REFERRED means it is pending further
            review.
        entity_id:
          type: string
          description: UUID of the entity.
        entity_type:
          $ref: >-
            #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaEntityType
          description: The type of entity being screened.
        detailed_results:
          $ref: >-
            #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaDetailedResults
          description: Details of checks performed for this screening.
      required:
        - result
        - entity_id
        - entity_type
        - detailed_results
      title: screenings_getAMLDetails_Response_200
    ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
      title: >-
        ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems
    AmlApiForWhitelabelDataRetrieval-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems
      title: AmlApiForWhitelabelDataRetrieval-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    AmlApiForWhitelabelDataRetrieval-v2026-01-01RequestNotFoundError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ScreeningsAmlEntityTypeEntityIdGetResponsesContentApplicationJsonSchemaErrorsItems
      title: AmlApiForWhitelabelDataRetrieval-v2026-01-01RequestNotFoundError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```